Page MenuHome

Vertex Paint Mode Shows Wrong Colours
Closed, ResolvedPublic

Description

In Vertex Paint Mode, Blender 2.8 doesn’t show white- and light-coloured areas correctly; instead, these become tinted with the material viewport colour.

Example .blend file:

How Vertex Paint mode should look (Blender 2.79):

How it looks in Blender 2.8:

Event Timeline

Philipp Oeser (lichtwerk) changed the task status from Unknown Status to Invalid.Sep 23 2019, 10:16 AM
Philipp Oeser (lichtwerk) claimed this task.

In 2.8, you can be pretty explicit on how this is drawn.
The best thing to see you "raw" colors is to:

  • set viewport to Flat lighting
  • set Color to Vertex

Dont see a bug here, closing.... (but feel free to comment again if issues persist...)

Lawrence D'Oliveiro (ldo) changed the task status from Invalid to Unknown Status.Sep 24 2019, 10:28 AM

Thank you for suggesting that workaround.

But I’ve been thinking about this, and I still don’t understand why it now works this way. What exactly is the point of mixing in the material viewport colour into the light areas of the vertex colour layer but not the dark ones? It just seems like an unnecessary extra step to working in vertext-paint mode.

Thank you for suggesting that workaround.
But I’ve been thinking about this, and I still don’t understand why it now works this way. What exactly is the point of mixing in the material viewport colour into the light areas of the vertex colour layer but not the dark ones? It just seems like an unnecessary extra step to working in vertext-paint mode.

not sure about the mixing (arent these just multiplied?)
CC @Jeroen Bakker (jbakker): where there any plans to change Viewport Shading Color settings depending on mode? [like setting this to Vertex in vertex-paint mode?]
Or do it like in Texture Paint (where seemingly the Color setting has no effect whatsoever)?
I personally like the flexibility of the drawing, but I agree it should be consistent across modes, no? (texture paint vs vertex paint)

We will do the same like we do in texture painting. There is already a task for that

We will do the same like we do in texture painting. There is already a task for that

Great, if we have a TODO task for this [which one btw.? Is this on T63745: Sculpt, Paint, Texture Module?], we could close this one?

Philipp Oeser (lichtwerk) lowered the priority of this task from 90 to 80.Sep 25 2019, 4:56 PM

waiting for @Jeroen Bakker (jbakker) to tell us the TODO task and close this (or confirm)...

@Jeroen Bakker (jbakker): not sure who is working on "We will do the same like we do in texture painting. There is already a task for that" or where this could be merged into?

Will assign you for now...

Yes, think the issue was discussed and was put on my desk, but not administrated correctly.

Will need to check with @Pablo Dobarro (pablodp606) what how the vertex painting during sculpting will replace the vertex painting mode. If that is the case it will be superseded by sculpting. Otherwise we will force the vertex overlay rendering using the vertex coloring in workbench.

Vertex color rendering is done in D5975 using the PBVH. We should probably keep the current vertex paint overlay when vertex paint becomes attribute paint, then it is going to make more sense.

Jeroen Bakker (jbakker) lowered the priority of this task from 80 to 50.Dec 18 2019, 9:56 AM
Jeroen Bakker (jbakker) changed the task status from Unknown Status to Resolved.Dec 19 2019, 9:11 PM